Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #997

Revert playlist to original sorted order
June 16, 2020 10:00 - el la

Status: Rejected Start date: June 16, 2020
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Affects version:

Description

Add option to revert a playlist to the original sorted order (the same order when drag-and-drop songs to a playlist).

History

#1 - June 16, 2020 15:59 - John Lindgren
- Tracker changed from Bug to Support

Drag-and-drop adds files in order of path. So Playlist -> Sort -> By File Path will restore that ordering.

#2 - June 16, 2020 16:59 - el la

1. What if you don't add songs all at once (pick and choose different songs by drag and drop)?

2. What if you open an existing playlist, and sort according to name. How do you restore the original sorting? You can't unless you reopen the same
playlist again.

| think each playlist needs to have a song order property that shows the order of the songs in the playlist (it should be a number).

#3 - June 17, 2020 00:37 - John Lindgren

- Status changed from New to Rejected

That would be a form of undo operation, so we'll consider this a duplicate of #544. Feel free to take it and work on it.
